rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
rpmcb.h File Reference
RPMIO.
`#include <rpmlog.h>`
Include dependency graph for rpmcb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | rpmSetVerbosity(_lvl) ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))
#define | rpmIncreaseVerbosity() ((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))
#define | rpmDecreaseVerbosity() ((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))
#define | rpmIsNormal() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_NOTICE ))
#define | rpmIsVerbose() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_INFO ))
#define | rpmIsDebug() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_DEBUG ))

## Macro Definition Documentation

#define rpmDecreaseVerbosity | ( |  | ) | ((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))

Definition at line 17 of file rpmcb.h.

#define rpmIncreaseVerbosity | ( |  | ) | ((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))

Definition at line 15 of file rpmcb.h.

Referenced by main(), rpmcliInit(), rpmioAllArgCallback(), and rpmioInit().

#define rpmIsDebug | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_DEBUG ))

Definition at line 23 of file rpmcb.h.

Referenced by headerCheck(), rpmdepPrint(), rpmReadPackageFile(), rpmRollback(), rpmShowRC(), rpmVerifySignatures(), and runScript().

#define rpmIsNormal | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_NOTICE ))

Definition at line 19 of file rpmcb.h.

#define rpmIsVerbose | ( |  | ) | (rpmlogSetMask(0) >= RPMLOG_MASK( RPMLOG_INFO ))

Definition at line 21 of file rpmcb.h.

Referenced by doUntar(), main(), prepFetch(), prepFetchVerbose(), printUsage(), printVersion(), rpmCheckPassPhrase(), rpmcliInstall(), rpmdepPrint(), rpmDisplayQueryTags(), rpmErase(), rpmgiNext(), rpmInstallSource(), rpmRollback(), rpmShowRC(), rpmtsAddInstallElement(), rpmVerifySignatures(), runScript(), showQueryPackage(), showVerifyPackage(), and verifyHeader().

#define rpmSetVerbosity | ( |  | _lvl | ) | ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))

Todo:
  These convenience macros belong somewhere else.

Definition at line 13 of file rpmcb.h.

Referenced by rpmcliInit(), rpmioAllArgCallback(), rpmioInit(), and setVerbosity().